/*VARIABLES */

:root{
     --acento:#6d6875 ;
     --primario: #b5838d;
     --fondo:#181d27;
     --fuente:#c6c1c1;
     --secundario:#e5989b;
     --terciario:#ffb4a2;
     --cuarto:#ffcdb2;
    --fondodark:#181d27;   
    --grisOscuro:rgb(32,32,44);
}
/*------------------------------------------MODO LIGTH------------------------------------*/

body{
        transition: .3s ease all;
        
}
a{
    color:var(--acento);
    font-weight: 500;
}
*{
    font-family:Montserrat;
  

}
.summary{
    display:none;
}

.buscar {
position: relative;
padding: 1px 0;
margin: 0px 10px;
}

.buscar input {
width: 240;
height: 30px;
padding: 0 10px;
font-size: 15px;
color: #222;
outline: none;
box-sizing: border-box;
border: 1px solid silver;
border-radius: 30px;
transition: all 0.6s ease;
margin-right: 2px;
}

.btnsearch {
width: 31px;
height: 31px;
line-height: 31px;
top: -5px;
right: 0px;
position: absolute;
background:transparent;
text-align: center;
color: gray;
font-size: 15px;
border-radius: 50%;
cursor: pointer;
}

.fas {
line-height: 31px!important;
}



.resultado {
    padding: 10px;
    border-bottom: 1px solid #ddd;
}

#resultados-busqueda {
  position: absolute;
  width: 100%;
  z-index: 999;
  background: #fff;
  color: #222;
  border-radius: 5px;
  margin-top: 5px;
  max-height: 200px;
  overflow-y: hidden;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
}

#resultados-busqueda a {
  display: block;
  padding: 10px;
  text-decoration: none;
  color: #222;
}

#resultados-busqueda a:hover {
  background: #f1f1f1;
}

.resultado-busqueda {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 10px;
    justify-content: space-evenly;
}

.resultado a {
    display: flex;
    text-decoration: none;
    color: inherit;
}

.resultado a:hover {
    color: #007bff;
}

.resultado .imagen {
    margin-right: 10px;
}

.resultado .detalles {
    display: flex;
    flex-direction: column;
}

.resultado .titulo {
    font-weight: bold;
}

.resultado .autor {
    color: #6c757d;
}

.resultado .descripcion {
    margin-top: 5px;
}


p{
    text-align:justify;
}
h1,h2,h3, h4, h5{
    font-family: Playfair Display;
}
h1, h2 {
    font-weight: 900!important;

}

h3,h4, h5{
    font-weight: 700;
}
h6{
     font-weight: 500;
}
main > .container {
    margin:5px auto;
    margin-top:20px!important;

   
}

.footer {
    background-color: #f5f5f5;
    font-size: .9em;
    height: 60px;
}
.breadcrumb-item
{
    margin-top:50px;
}
.footer > .container {
    padding:10px 15px!important;
  
}


.footer, .navbar{
      background:var(--fondo)!important;
      align-items: center;
      
}


li.nav-item.dropdown {
  list-style-type: none;
}



.breadcrumb {
  
  line-height: 50px; /* opcional, para centrar verticalmente el texto dentro de los breadcrumbs */
   margin: 10px;
   background: transparent!important;
   border-bottom: 1px solid var(--acento);
   padding-bottom:2px;
}

.aot-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    content: '';
    left: 3px;
    display: inline-block;
    width: 0;
    height: 0;
    border: solid 5px transparent;
    margin: 4px 4px 2px 4px;
    background: transparent;
}

a.asc:after {
    border-bottom: solid 7px #212529;
    border-top-width: 0;
}

a.desc:after {
    border-top: solid 7px #212529;
    border-bottom-width: 0;
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding-top: 7px;
    color: rgba(255, 255, 255, 0.5);
}
.navbar-nav {
align-items: center;
font-size: .9em;
}
@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 0;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.75);
}

.nav > li > form > button.logout:focus {
    outline: none;
}

/*BARRA DE NAVEGACIÓN*/
.navbar-collapse{
   justify-content: end!important;
   align-items: center;
}

.sidebard{
     border-right: 1px solid var(--primario);
     margin-left:0px!important;
      padding-top: 8%;
      padding-right: 20px!important;
      font-size: .9em;
}
.row{
    
    margin-bottom: 15px!important;
}

.jumbotron{ 
    padding:0px!important;
    padding-top: 80px!important;
}


/*seccion libros actuales*/

.libro{
    padding-bottom:15px;
    height: auto;
    display:block;
}
.libro section{
    margin-left:5px;
}

.leyendo-cover{
     -webkit-box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    -moz-box-shadow: 1px 1px 4px 1px rgba(0,0,0,0.2);
    box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    background-color: #FFF;
    padding: 3px;
    float: left;
    margin-bottom: 10px;
    min-width: 85px;
    max-width: 85px;
    margin-right: 10px;
}


.actual{
    font-size: 0.875em;
    padding: 5px 0;
    border-bottom: 1px solid #D8D8D8;
        margin-bottom: 16px;
              height: auto!important;
}
.progress{
    width: 150px;
    margin-bottom:5px;
    height:21px;
    color:#000;
    
}

.progress-bar{
    background:var(--acento);
        color:#000;
        font-weight: bold;
}


/*Estilos para la presentación de las cards de las consultas*/
.minimo{
    min-height: 280px;
    min-width: 150px;
    max-width: 150px;
    margin:10px 0px!important;
    justify-content: center;
    align-items: center;
    border:none!important;
    padding:1px;
  
}


.list-view{
    min-width: 160px;
    display:flex;
    flex-direction: row;
    flex-wrap:wrap;
   justify-content: space-evenly;
    align-content: center;
}
/*Portada de los libros*/
.book-cover {
    -webkit-box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    -moz-box-shadow: 1px 1px 4px 1px rgba(0,0,0,0.2);
    box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    background-color: #FFF;
    padding: 3px;
    float: left;
    margin-bottom: 10px;
    min-width: 145px;
    max-width: 145px;
    max-height: 230px;
}
.card-body img{
    object-fit: cover;
    width: 150px!important;
    max-width: 150px;
    
}

/*Vista individual de cada libro*/

.libros-view{
    display:flex;
}

.rating-md{
   margin-top:8px; 
}
.lateral{
    background:var(--acento);
    width:25%;
    height: 100vh;
}

.libros{
     padding:2%!important;
     width: 73%;
     margin-top: 50px;
}

.libros section  {
    margin:5px;
}

.sipnosis {
    margin-top:-170px!important;
}
.libros p{
    padding: 2px 5px;

}




.libro-cover {
    -webkit-box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    -moz-box-shadow: 1px 1px 4px 1px rgba(0,0,0,0.2);
    box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    background-color: #FFF;
    padding: 3px;
    float: left;
    margin-bottom: 10px;
    min-width: 225px;
    max-width: 225px;
    margin-left:-170px;
    margin-right: 20px;
   
}

.autores{
    padding: 10px 5px;
        font-size: 20px;
    }

.genero{
    border-bottom:2px solid var(--acento);
    display:inline;
    margin: 5px 3px;
    border-radius: 1px;
    padding:2px 5px;
}

.comentario{
    border-top: 1px solid var(--acento);
    margin: 3% 5% 1% 10%;
    padding: 10px 5px;
}

/*Estilo del editor de texto*/
    .form-control {
    height: auto!important;
}

/*Estilos de la barra lateral*/

/*Estilo index de escritores*/

/*Imagen de los autores*/
.autores{
     margin:10px 0px!important;
    justify-content: center;
    align-items: center;
    border:none!important;
    padding:5px;
}
.escritoresImg {
    -webkit-box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    -moz-box-shadow: 1px 1px 4px 1px rgba(0,0,0,0.2);
    box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    background-color: #FFF;
    padding: 3px;
    float: left;
    margin-bottom: 10px;
    min-width: 200px;
    max-width: 200px;
    min-height: 200px; 
    max-height: 200px; 
    object-fit: cover;
}

/*****************************************************************Botón del cambio del modo claro al modo oscuro***************************************************/
.switch{
    background: #343d5b;
    border-radius: 1000px;
    border:none;
    position: relative;
    cursor: pointer;
    display: flex;
    outline:none;
    height: 30px;
    
}

.switch span{
    width: 30px;
    height: 30px;
    line-height: 30px;
    display: block;
    background: none;
    color:#fff;
    margin: auto;
}

.switch:after{
    content: " ";
    display: block;
    width: 30px;
    height: 30px;
    position: absolute;
    background: #f1f1f1;
    
    left: 0;
    right: unset;
    border-radius: 100px;
    transition: .3s ease all;
    box-shadow: 0px 0px 2px 2px rgba(0,0,0, .2);
}

.switch.active{
    background: orange;
    color:#000;
}
.switch.active:after{
    right: 0;
    left: unset;
}

/*ESTANTERIAS*/

.minibook-cover{
     -webkit-box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    -moz-box-shadow: 1px 1px 4px 1px rgba(0,0,0,0.2);
    box-shadow: 1px 1px 4px 1px rgb(0 0 0 / 20%);
    background-color: #FFF;
    padding: 3px;
    float: left;
    margin-bottom: 10px;
    min-width: 70px;
    max-width: 70px;
    
    object-fit: cover;
}
/******************************************************************************MODO DARK***********************************************************/

body.dark{
    background: var(--fondodark);
    color:#bfbfbf!important;
}


.dark *{
      color:#fff!important;
}

body.dark .card{
    background:var(--grisOscuro)!important;
}

.dark .footer, .dark .navbar{
      background:var(--acento)!important;
      align-items: center;
      color: #b1b1b1;
      
}